Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.synapsai.cloud/v1/classifications/audio \ --header 'Content-Type: application/json' \ --data ' { "inputs": [ 123 ], "top_k": 5, "function_to_apply": "softmax" } '
import requestsurl = "https://api.synapsai.cloud/v1/classifications/audio"payload = { "inputs": [123], "top_k": 5, "function_to_apply": "softmax"}headers = {"Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
[ { "label": "<string>", "score": 123 } ]
Request to classify audio inputs.
Audio input as numpy-like array, raw bytes or a dict descriptor. Required.
Number of top labels to return.
Post-processing function to apply to raw model scores.
sigmoid
softmax
none
List of label/score dicts
Predicted label name.
Confidence score (probability-like) for the label.